condenser_api.get_account_bandwidth
disabled removed
Bandwidth was disabled in 0.20.6; public nodes no longer serve this method.
Purpose
自 0.20.6 起已禁用,参见:#3029
返回账户的可用带宽(bandwidth)。参数:account:string;type:string,例如:forum 或 market
account (string) | type (string) | |
|---|---|---|
"steemit" | "forum" | 查询名为 "steemit" 的账户可用的 forum 带宽。 |
"alice" | "market" | 查询名为 "alice" 的账户可用的 market 带宽。 |
参见:Forum/Market Bandwidth
Parameters
PARAMETERS
json
[
"steemit",
"forum"
]⚠ 此 RPC 方法已不再由公共节点提供。
Example
Example 1
BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_account_bandwidth",
"params": [
"steemit",
"forum"
],
"id": 1
}'Example 2
BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_account_bandwidth",
"params": [
"alice",
"market"
],
"id": 1
}'Response
RESPONSE
json
{
"id": 8,
"account": "steemit",
"type": "forum",
"average_bandwidth": 214996934,
"lifetime_bandwidth": "48395000000",
"last_bandwidth_update": "2018-02-16T03:11:00"
}Expected curl responses
EXPECTED RESPONSES
text
Could not find method get_account_bandwidthtext
Could not find method get_account_bandwidth